--INFO BY ADAM2402--


ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;

function ShowHelp:updateTick(dt)
end;

function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.20, 0.02, "NUM 0: INFO");
	else
		renderText(0.62, 0.86, 0.022, "->> Zmaj 142 RM <<-");			
		renderText(0.62, 0.81, 0.02, "NUM Enter : Start");
		renderText(0.62, 0.79, 0.02, "Key X : Steering Lock");			
		renderText(0.62, 0.75, 0.02, "Key 7 : Door");
		renderText(0.62, 0.77, 0.02, "Key 8 : Window");
		renderText(0.62, 0.73, 0.02, "Key O : Pipe");
		renderText(0.62, 0.71, 0.02, "Key M : Working Mode ON/OFF");
		renderText(0.62, 0.69, 0.02, "Key F : Lights");
		renderText(0.62, 0.67, 0.02, "Key HOME : Beacon Light");
		renderText(0.62, 0.65, 0.02, "NUM 1 : Blinker Left");
		renderText(0.62, 0.63, 0.02, "NUM 2 : Warn Blinker");
		renderText(0.62, 0.61, 0.02, "NUM 3 : Blinker Right");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;